i386 or amd64 debian for new intel 64 bit cpu?



I've got a new intel 64 bit PC. I installed i386 latest debian on it.

It works fine. Then I noticed there is amd64 debian also.

http://www.debian.org/CD/netinst/

Would it be better to install amd64 instead? I am assume amd64 will work on this pc. How is debian 64 bit support for 32 bit applications? Why is it called amd64 btw? why not intel64? may be becuase amd had 64 bit before intel?

I have to format the disk and start all over, I think, but that would be ok.

thanks
--Nasser


.



Relevant Pages

  • Re: Correct binary for Intel Core i5
    ... I am planning to assemble a new computer for my home, and to run debian ... I'm planning to use an Intel Core i5-660 CPU in this ... debian AMD64 on Intel core-i5 processors? ... AMD64 is the designation for the 64-bit chip architecture, ...
    (Debian-User)
  • Re: acroread on amd64
    ... 1] indeed evince is very nice, but unfortunately some slides of mine ... if can install acroread then I hope to be able to install it. ... the amd64 list. ... Since the Debian AMD64 is "pure", you will need to either use a gnome ...
    (Debian-User)
  • Re: Debian on new Macs with Intel CPU?
    ... Does Debian for PowerPC work, or Debian for i386, or none? ... AFAIK the new intel based macs are just standard intel PCs except for a drm ... Considering OsX for them has been hacked to install on any old PC I guess ... Maybe the mac program to dual boot windows will also work here. ...
    (Debian-User)
  • Re: Debian on new Macs with Intel CPU?
    ... Does Debian for PowerPC work, or Debian for i386, or none? ... AFAIK the new intel based macs are just standard intel PCs except for a drm ... Considering OsX for them has been hacked to install on any old PC I guess it ... Will it be possible to make a dual boot installation on ...
    (Debian-User)
  • Re: lapack testing does not work with ifort
    ... debian testing machine with the compiler as ifort ... please submit a report to Intel Premier ... because I am using debian. ... But the present install script does not have this capability. ...
    (comp.lang.fortran)